<meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
<link rel="stylesheet" href="style.css" type="text/css"/>
<script src="code.js" type="text/javascript"></script>

<script>
function highlight(id1, id2)
{
  document.getElementById(id1).style.backgroundColor="yellow";
  document.getElementById(id2).style.backgroundColor="yellow";
}
function bye(id1, id2)
{
  document.getElementById(id1).style.backgroundColor="white";
  document.getElementById(id2).style.backgroundColor="white";
}
</script>

<h1>Whole system performance analysis</h1>

<pre>
sudo perf record <span id="span_a" onmouseover="highlight(this.id, 'para_a')" onmouseout="bye(this.id, 'para_a')">-a</span> <span id="span_g" onmouseover="highlight(this.id, 'para_g')" onmouseout="bye(this.id, 'para_g')">-g</span> -- \
     nbdkit -U - null 1G --run 'export uri; fio nbd.fio'
</pre>

<p id="para_a">
-a &rarr; record the whole system
</p>

<p id="para_g">
-g &rarr; use frame pointers
</p>
